<?php
  echo "Entrez 2 nombres entiers : ";
  fscanf(STDIN,"%d %d",$i,$j);
  $compteur=0  ;
  echo "compteur=$compteur\ti=$i\tj=$j\tk=$k".PHP_EOL;
  while ($j != 0)
  {
    $k = $i % $j;
    $i = $j     ;
    $j = $k     ;
    $compteur++ ;
    echo "compteur=$compteur\ti=$i\tj=$j\tk=$k".PHP_EOL;
  }
  echo "Le résultat est : ",$i,PHP_EOL ;
?>
